#
# spec file for package derby (Version 10.3.1.4)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv jpackage-utils klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           derby
BuildRequires:  jpackage-utils
License:        The Apache Software License
Group:          Productivity/Databases/Servers
Summary:        Embeddable Database Engine Written in Java
Requires:       java >= 1.5
Version:        10.3.1.4
Release:        0.1
URL:            http://incubator.apache.org/derby/
Source0:        db-derby-%{version}-bin.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch: noarch

%description
The Derby project develops open source database technology that is:

- Pure Java

- Easy to use

- Small footprint

- Standards based

- Secure



%debug_package
%prep
%setup -q -n db-derby-%{version}-bin

%build

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
install -m 755 -d $RPM_BUILD_ROOT/%{_javadir}/%{name}
install -m 644 lib/* $RPM_BUILD_ROOT/%{_javadir}/%{name}
install -m 755 -d $RPM_BUILD_ROOT/%{_docdir}/%{name}
install -m 644 CHANGES.html RELEASE-NOTES.html LICENSE NOTICE $RPM_BUILD_ROOT/%{_docdir}/%{name}
cp -a docs $RPM_BUILD_ROOT/%{_docdir}/%{name}
cp -a javadoc $RPM_BUILD_ROOT/%{_docdir}/%{name}

%files
%defattr(-, root, root)
%doc LICENSE NOTICE CHANGES.html RELEASE-NOTES.html
%doc docs javadoc
%{_javadir}/%{name}

%changelog
* Tue Aug 14 2007 - kejohnson@suse.de
- updated to 10.3.1.4 to fix several security bugs
  CVE-2005-4849, CVE-2006-7216, CVE-2006-7217 [291035]
- changed requires to JAVA 1.5 or greater
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Feb 21 2005 - skh@suse.de
- initial package
